Subject: Re: bug#24453: Hyper and super keys don't work in some branches

From: Mambo Levis <[email-masked]>
Date: Wed, 21 Sep 2016 17:45:30 +0000 (UTC)

This is what "System Information" tells me:
OS Name    Microsoft Windows 10 Home
Version    10.0.14393 Build 14393

Here are all the unshifted keys that got passed through:

s-y is undefined
s-n is undefined
s-[ is undefined
s-] is undefined
s-. is undefined
s-` is undefined
s-- is undefined
s-; is undefined
s-' is undefined
s-\ is undefined

All the other unshifted keys were blocked.

Levis >>> Yes, in my case version 24.5 works like yours. 
My system informationOS: Microsoft Windows 10 Pro NVersion: 10.0.10586 Build: 10586
My problem is in the version 25.1 release where the super key don't work at all, I check all combinations and none of them work.s-a, s-b, s-c, ..., s-z, s->, s-< etc 
Please notice that these combinations work:C-s-a is undefinedC-s-b is undefinedC-s-c is undefinedetc All of the work! 

    On Wednesday, September 21, 2016 7:18 PM, Mambo Levis <[email-masked]> wrote:

 Let me understand what exactly is the nature of the problem: is it
true that only _some_ hyper- and super- key combinations don't work?
Or do none of them work in Emacs 25.1?
Levis >> None of them work in Emacs 25.1 official release. For example, key combinations starting with super don't work, but if I make a combinationsuch C-super-a (C-s-a) works. It seams that super and hyper can't be triggered as prefix. 

    On Wednesday, September 21, 2016 7:03 PM, Eli Zaretskii <[email-masked]> wrote:

 > Date: Wed, 21 Sep 2016 16:42:14 +0000 (UTC)
> From: Mambo Levis <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>, 
>     "[email-masked]" <[email-masked]>
> 
> Eli >>With what customizations did you try that? Yours or those suggested
> by Robert?
> Levis >>> Robert's and my configurations are the same, it is not a problem of configuration. I made the
> following
> tests without using Roberts configuration (lets consider the following key sequence s-a)
> 1. In emacs 24.5 official release it works.
> 2. In emacs master branch it also works
> 
> 3. In emacs-25 branch it doesn't work
> 4. In any emacs-25 pretest binaries it doesn't work
> 5. In emacs 25.1 oficial release it doesn't work (currently release)
> 
> So, it is clear that the configuration is not the problem. 
> Any idea or suggestion?

No suggestions.  If setting w32-use-fallback-wm-chars-method to a
non-nil value doesn't help, I don't know how this is possible, since
there's no other difference between Emacs 24.5 and 25.1 I know about
regarding keyboard support.

Let me understand what exactly is the nature of the problem: is it
true that only _some_ hyper- and super- key combinations don't work?
Or do none of them work in Emacs 25.1?